# this file is modified from code found on a stack overflow answer:
# https://stackoverflow.com/questions/44791212/concatenating-multiple-csv-files-into-a-single-csv-with-the-same-header-python

import os
from os import listdir
from os.path import isfile, join
import shutil
import glob


script_dir = os.path.dirname(__file__)

path = script_dir + "/outputbyten"
allFiles = glob.glob(path + "/*.csv")
with open(script_dir+ '/scraped-and-cleaned-logs-bpi-news-2017-08-14-2017-08-21.csv', 'wb') as outfile:
    for i, fname in enumerate(allFiles):
        with open(fname, 'rb') as infile:
            if i != 0:
                infile.readline()  # Throw away header on all but first file
            # Block copy rest of file from input to output without parsing
            shutil.copyfileobj(infile, outfile)
            print(fname + " has been imported.")